摘要:Android各系统适用的Xposed框架介绍,本文介绍从Android 4.0 ~ Android 10.0,Xposed框架完美使用的方法。

有鉴于Xposed从Android 4.0就开始出现,而现在Android Q的版本已经来到了10.0,且Xposed框架又没有像Android系统版本一样能够快速的更新,从而导致很多Xposed用户对于自己究竟该使用哪个版本或者说怎么使用Xposed框架感到很迷茫,此为本文出现的背景。

由于Xposed的官方版本(作者rovo89)最新的版本停留在Android 8.0/8.1 beta3版本(即v90-beta3),因此本来将通过归类Android系统版本来阐述使用方法。

首先请查看我的另外两个教程,分别说明了安装的思路,另外配有一个基础的演示视频

整理目前在各个Android系统版本下使用Xposed框架的方法-Xposed框架中文站

Android系统全版本Xposed使用指南

适用于 Android 4.0 ~ Android 7.1的Xposed框架

毫无疑问,在此之前我们都没有非官方Xposed框架的说法,当然对于MIUI而言都是非官方,因此如果你的系统在4.0 ~ 7.1之间,那么你直接使用官方的框架即可,但由于在Android 5.0之后Xposed框架的安装方式变得更加简单,因此具体的安装步骤如下:

  1. 获取Root权限,这是前提条件
  2. 如果Android系统版本在Android5.0(不包括)以下,你需要通过recovery刷入Xposed.zip文件在实现
    1. 可以查看本文 Xposed框架对应各系统版本的下载与卸载
  3. 如果Android系统版本在Android5.0(包括)以上
    1. 首先安装Xposed installer,查看本文:Xposed框架主程序
    2. 然后打开,给予权限,根据自动匹配的文件自动开始安装
    3. 当然你仍然可以通过recovery来刷入相关文件实现上面的目的,区别是一个自动一个手动

如果选择手动刷入,请参考此文选择对应的文件,不要选错了文件,否则可能无法开机

适用于 Android 8.0/8.1的Xposed框架

如上所述,Xposed官方版本的框架停留在这个版本已经一年半了,之后估计也已经希望不大,因此对于类AOSP原生的ROM,仍然推荐使用官方的v90-beta3版本,可以通过Xposed installer自动安装,毕竟根据我自己的使用体验来讲还算是比较稳定,但对于MIUI类的ROM仍然无法使用。

当然从此时开始,我们要使用Xposed框架版本就脱离不了非官方版本了,最早出现的叫做Virtual Xposed,详细可以查看该文章:

目前Virtual Xposed框架已经更新到了0.17.3版本,支持Android5.0 ~Android9.0系统,不过缺点是必须要在Virtual Xposed创建APP,并在其中使用,没有原版Xposed方便。

再后来又衍生出了Edxposed支持Android 8.0 ~9.0 能够完全实现Xposed框架的相关功能,相关介绍可以查看本文:

适用于 Android 9.0/10.0的Xposed框架

如上,我们可以选择Virtual Xposed或者Edxposed,但综合我的经验,我推荐使用Magisk框架 + 太极模块来实现完美的Xposed框架体验,优点是运行流畅,并且APP仍然在原来的系统中运行,跟原生APP无异,不需要重新创建新的APP。

值得一提的是Magisk框架作者topjohnwu竟然去了苹果公司实习,是不是很有意思?

相关介绍可以查看本文:Android 9.0使用Xposed模块的新选择 – 太极·Magisk,稳定完美

Xposed框架终极解决办法

如果这一切方法都还不够的话,我们还有终极解决办法,我们不需要区分系统版本,因为我们的实现方式是自己造一个支持Xposed框架系统,这个系统运行在我们的Android设备上,这样是不是能够很完美的解决Xposed使用的问题,我们压根儿就不用关心自己使用的Android设备系统是几点几。

它是谁呢?

整理目前在各个Android系统版本下使用Xposed框架的方法-Xposed框架中文站此处内容已经被作者隐藏,请输入验证码查看内容
验证码:
请关注本站微信公众号,回复“验证码”,获取验证码。在微信里搜索“Appfound”或者“Manyapps”或者微信扫描右侧二维码都可以关注本站微信公众号。